Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596649 - DeprecationWarning while plotting
DeprecationWarning while plotting
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 04:58 EDT by simon
Modified: 2010-06-28 13:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-matplotlib-0.99.1.2-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 13:10:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description simon 2010-05-27 04:58:06 EDT
Description of problem:
when I try to plot with python-matplotlib,
the figure is plotted, but the terminal report a bug 
about the package.



Version-Release number of selected component (if applicable):

python-matplotlib-0.99.1.2-1.fc12.x86_64

How reproducible:
execute the following code:
#!/usr/bin/python
# *-* coding: utf-8 *-*
from pylab import *
from math import *
i = 0
j = 0
ordonnee =[]
abscisse = []

while (i<5):
      abscisse.append(i)
      ordonnee.append(cos(i))
      i+=0.2

plot(abscisse, ordonnee)
show()

Steps to Reproduce:
1.install python matplotlib
2.run the code
3.Badaboum
  
Actual results:
/usr/lib64/python2.6/site-packages/matplotlib/backends/backend_gtk.py:621: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltips = gtk.Tooltips()

Expected results:
terminal should be silent

Additional info:
Comment 1 Jef Spaleta 2010-05-27 13:41:35 EDT
This was patched in upstream svn in March, but hasn't made it into a matplotlib release yet.  I'll try to cherry pick the patch and build updated Fedora packages for you to test. Stay tuned for a koji url.

-jef
Comment 2 Jef Spaleta 2010-05-27 14:17:58 EDT
Okay F12 build with the patch is finishing up right now at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2213455


Please let me know if this appears to work for you. Once you report back that it works I'll push this to updates-testing for F12 and F13.


-jef
Comment 3 simon 2010-05-29 05:44:19 EDT
It's ok, 
I have tried it and it works.

Thank you
Comment 4 Fedora Update System 2010-06-01 17:04:38 EDT
python-matplotlib-0.99.1.2-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-matplotlib-0.99.1.2-4.fc13
Comment 5 Fedora Update System 2010-06-02 14:07:27 EDT
python-matplotlib-0.99.1.2-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-matplotlib'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-matplotlib-0.99.1.2-4.fc13
Comment 6 Fedora Update System 2010-06-28 13:10:40 EDT
python-matplotlib-0.99.1.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.